OGRE: Ogre::GpuSharedParametersUsage Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::GpuSharedParametersUsage Class Reference
Core » Materials

This class records the usage of a set of shared parameters in a concrete set of GpuProgramParameters. More...

`#include <OgreGpuProgramParams.h>`

Inheritance diagram for Ogre::GpuSharedParametersUsage:
[legend]

## Public Member Functions
| GpuSharedParametersUsage (GpuSharedParametersPtr sharedParams, GpuProgramParameters *params)
| Construct usage. More...
void | _copySharedParamsToTargetParams ()
| Update the target parameters by copying the data from the shared parameters. More...
const Any & | _getRenderSystemData () const
| Internal method that the RenderSystem might use to store optional data. More...
void | _setRenderSystemData (const Any &data) const
| Internal method that the RenderSystem might use to store optional data. More...
const String & | getName () const
| Get the name of the shared parameter set. More...
GpuSharedParametersPtr | getSharedParams () const
GpuProgramParameters * | getTargetParams () const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

This class records the usage of a set of shared parameters in a concrete set of GpuProgramParameters.

## Constructor & Destructor Documentation

## ◆ GpuSharedParametersUsage()

Ogre::GpuSharedParametersUsage::GpuSharedParametersUsage | ( | GpuSharedParametersPtr | sharedParams,
|  | GpuProgramParameters * | params
| ) |  |

Construct usage.

## Member Function Documentation

## ◆ _copySharedParamsToTargetParams()

void Ogre::GpuSharedParametersUsage::_copySharedParamsToTargetParams | ( |  | ) |

Update the target parameters by copying the data from the shared parameters.

Note
  This method may not actually be called if the RenderSystem supports using shared parameters directly in their own shared buffer; in which case the values should not be copied out of the shared area into the individual parameter set, but bound separately.

## ◆ _getRenderSystemData()

const Any& Ogre::GpuSharedParametersUsage::_getRenderSystemData | ( |  | ) | const
| inline

Internal method that the RenderSystem might use to store optional data.

## ◆ _setRenderSystemData()

void Ogre::GpuSharedParametersUsage::_setRenderSystemData | ( | const Any & | data | ) | const
| inline

Internal method that the RenderSystem might use to store optional data.

## ◆ getName()

const String& Ogre::GpuSharedParametersUsage::getName | ( |  | ) | const
| inline

Get the name of the shared parameter set.

References Ogre::GpuSharedParameters::getName().

## ◆ getSharedParams()

GpuSharedParametersPtr Ogre::GpuSharedParametersUsage::getSharedParams | ( |  | ) | const
| inline

## ◆ getTargetParams()

GpuProgramParameters* Ogre::GpuSharedParametersUsage::getTargetParams | ( |  | ) | const
| inline

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h